[Qa-jenkins-scm] [jenkins.debian.net] 02/03: reproducible: refactor

Holger Levsen holger at moszumanska.debian.org
Fri Oct 16 13:08:16 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 01f43b9f93b2d19e4dd1ab34d3126be9bcab224d
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Oct 16 14:46:31 2015 +0200

    reproducible: refactor
---
 bin/common-functions.sh | 4 ++++
 bin/schroot-create.sh   | 5 -----
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index 8118812..163833e 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -74,6 +74,10 @@ else
 	if [ -z "$SCHROOT_BASE" ]; then
 		export SCHROOT_BASE=/schroots
 	fi
+	if [ ! -d "$SCHROOT_BASE" ]; then
+		echo "Directory $SCHROOT_BASE does not exist, aborting."
+		exit 1
+	fi
 	# use these settings in the scripts in the (s)chroots too
 	export SCRIPT_HEADER="#!/bin/bash
 	if $DEBUG ; then
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index befd694..6f7aa64 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -49,11 +49,6 @@ if [ "$SUITE" = "experimental" ] ; then
 	EXTRA_SOURCES[1]="deb-src $MIRROR experimental main"
 fi
 
-if [ ! -d "$SCHROOT_BASE" ]; then
-	echo "Directory $SCHROOT_BASE does not exist, aborting."
-	exit 1
-fi
-
 export SCHROOT_TARGET=$(mktemp -d -p $SCHROOT_BASE/ schroot-install-$TARGET-XXXX)
 if [ -z "$SCHROOT_TARGET" ]; then
 	echo "Could not create a directory to create the chroot in, aborting."

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list